Name: test-gui-dialog
Version: 20050721
Release: alt1

Summary: Simple automated testing of GUI dialogs
License: GPL
Group: Development/Other

Source0: %name.pl

BuildArch: noarch

BuildRequires: gedit >= 2.10 gqview >= 2.0
BuildRequires: perl-X11-GUITest xvfb-run

%description
This package has %_bindir/%name script for simple GUI dialog testing.
This package also performs some GUI tests at the build stage.

%prep
%setup -cT

cat >tests <<'__EOF__'
#!/bin/sh -efx
RC=0
%__perl %SOURCE0 gedit dclose $'\n'	|| RC=1
%__perl %SOURCE0 gqview			|| RC=1
exit $RC
__EOF__

%build
%__chmod +x ./tests
xvfb-run -a ./tests

%install
%__install -pD -m755 %SOURCE0 %buildroot%_bindir/%name

%files
%_bindir/%name

%changelog
* Thu Jul 21 2005 Alexey Tourbin <at@altlinux.ru> 20050721-alt1
- initial revision
- test gedit and gqview at the %%build stage
